curl --request POST \
--url https://biohub.ai/api/v1/forward_and_sample \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "esm3-open-2024-03",
"inputs": {
"sequence": [
123
],
"coordinates": [
[
[
123
]
]
],
"structure": [
123
],
"secondary_structure": [
123
],
"sasa": [
123
],
"function": [
[
123
]
],
"residue_annotation": [
[
123
]
]
},
"sampling_config": {
"sequence": {
"temperature": 1,
"top_p": 1,
"only_sample_masked_tokens": true,
"invalid_ids": [],
"topk_logprobs": 0
},
"structure": {
"temperature": 1,
"top_p": 1,
"only_sample_masked_tokens": true,
"invalid_ids": [],
"topk_logprobs": 0
},
"secondary_structure": {
"temperature": 1,
"top_p": 1,
"only_sample_masked_tokens": true,
"invalid_ids": [],
"topk_logprobs": 0
},
"sasa": {
"temperature": 1,
"top_p": 1,
"only_sample_masked_tokens": true,
"invalid_ids": [],
"topk_logprobs": 0
},
"function": {
"temperature": 1,
"top_p": 1,
"only_sample_masked_tokens": true,
"invalid_ids": [],
"topk_logprobs": 0
}
},
"potential_sequence_of_concern": false,
"embedding_config": {
"sequence": false,
"per_residue": false
}
}
'import requests
url = "https://biohub.ai/api/v1/forward_and_sample"
payload = {
"model": "esm3-open-2024-03",
"inputs": {
"sequence": [123],
"coordinates": [[[123]]],
"structure": [123],
"secondary_structure": [123],
"sasa": [123],
"function": [[123]],
"residue_annotation": [[123]]
},
"sampling_config": {
"sequence": {
"temperature": 1,
"top_p": 1,
"only_sample_masked_tokens": True,
"invalid_ids": [],
"topk_logprobs": 0
},
"structure": {
"temperature": 1,
"top_p": 1,
"only_sample_masked_tokens": True,
"invalid_ids": [],
"topk_logprobs": 0
},
"secondary_structure": {
"temperature": 1,
"top_p": 1,
"only_sample_masked_tokens": True,
"invalid_ids": [],
"topk_logprobs": 0
},
"sasa": {
"temperature": 1,
"top_p": 1,
"only_sample_masked_tokens": True,
"invalid_ids": [],
"topk_logprobs": 0
},
"function": {
"temperature": 1,
"top_p": 1,
"only_sample_masked_tokens": True,
"invalid_ids": [],
"topk_logprobs": 0
}
},
"potential_sequence_of_concern": False,
"embedding_config": {
"sequence": False,
"per_residue": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'esm3-open-2024-03',
inputs: {
sequence: [123],
coordinates: [[[123]]],
structure: [123],
secondary_structure: [123],
sasa: [123],
function: [[123]],
residue_annotation: [[123]]
},
sampling_config: {
sequence: {
temperature: 1,
top_p: 1,
only_sample_masked_tokens: true,
invalid_ids: [],
topk_logprobs: 0
},
structure: {
temperature: 1,
top_p: 1,
only_sample_masked_tokens: true,
invalid_ids: [],
topk_logprobs: 0
},
secondary_structure: {
temperature: 1,
top_p: 1,
only_sample_masked_tokens: true,
invalid_ids: [],
topk_logprobs: 0
},
sasa: {
temperature: 1,
top_p: 1,
only_sample_masked_tokens: true,
invalid_ids: [],
topk_logprobs: 0
},
function: {
temperature: 1,
top_p: 1,
only_sample_masked_tokens: true,
invalid_ids: [],
topk_logprobs: 0
}
},
potential_sequence_of_concern: false,
embedding_config: {sequence: false, per_residue: false}
})
};
fetch('https://biohub.ai/api/v1/forward_and_sample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model": "esm3-open-2024-03",
"created": "<string>",
"embeddings": {
"sequence": [
"<unknown>"
],
"per_residue": [
"<unknown>"
]
},
"potential_sequence_of_concern": false,
"warning_messages": [
"<string>"
],
"sequence": {
"tokens": [
123
],
"logprobs": [
123
],
"entropy": [
123
],
"topk_logprobs": [
[
123
]
],
"topk_tokens": [
[
123
]
]
},
"structure": {
"tokens": [
123
],
"logprobs": [
123
],
"entropy": [
123
],
"topk_logprobs": [
[
123
]
],
"topk_tokens": [
[
123
]
]
},
"secondary_structure": {
"tokens": [
123
],
"logprobs": [
123
],
"entropy": [
123
],
"topk_logprobs": [
[
123
]
],
"topk_tokens": [
[
123
]
]
},
"sasa": {
"tokens": [
123
],
"logprobs": [
123
],
"entropy": [
123
],
"topk_logprobs": [
[
123
]
],
"topk_tokens": [
[
123
]
]
},
"function": {
"tokens": [
123
],
"logprobs": [
123
],
"entropy": [
123
],
"topk_logprobs": [
[
123
]
],
"topk_tokens": [
[
123
]
]
},
"residue_annotation": {
"tokens": [
123
],
"logprobs": [
123
],
"entropy": [
123
],
"topk_logprobs": [
[
123
]
],
"topk_tokens": [
[
123
]
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}forward_and_sample
(ESM3) Performs one inference step and samples output tokens
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
You may have access to additional, private models as well. These will be visible on the Rate Limits page under the Developer Console
esm3-open-2024-03 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Disclose potential sequences of concern. For approved users, such sequences will not go through additional safety filtering. Reach out if you are interested in using this.
Show child attributes
Show child attributes
Response
Successful Response
You may have access to additional, private models as well. These will be visible on the Rate Limits page under the Developer Console
esm3-open-2024-03 ISO formatted date time
Show child attributes
Show child attributes
Indicate that the returned sequence may be of potential concerns.
Warning messages returned by FastAPI.
Sampling output for sequence track.
Show child attributes
Show child attributes
Sampling output for structure track.
Show child attributes
Show child attributes
Sampling output for secondary structure track.
Show child attributes
Show child attributes
Sampling output for sasa track.
Show child attributes
Show child attributes
Sampling output for function annotation track.
Show child attributes
Show child attributes
Sampling output for residue annotation track.
Show child attributes
Show child attributes